View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000718Ecere SDKidepublic2012-03-28 18:332014-05-19 01:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000718: Starting directory
DescriptionStarting directory
what's this?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000935)
jerome (administrator)
2013-08-07 03:03

I'm guessing this has to do with the initial working directory the first time you run the IDE after a fresh SDK install?
(0001194)
jerome (administrator)
2014-02-25 05:36

Check both creating a new project and opening an existing project
(0001197)
jerome (administrator)
2014-03-06 16:21

Both New Project and Open Project, as well as Open File default to the Samples directory as they should with the installer.

This might have been about when no ecereIDE.ini exists.

Will default to HOME directory instead of current working directory, as current working directory will be the Shortcut directory.

Also test if samples are opted out.
(0001198)
jerome (administrator)
2014-03-06 16:38

If samples are opted out installer default to Program Files/Ecere SDK, change that to empty to use the IDE default.
(0001199)
jerome (administrator)
2014-03-06 16:50

This was probably originally filed as Linux issue which does not get an installed .ecereIDErc .
(0001200)
jerome (administrator)
2014-03-11 05:29

Fixed by:
https://github.com/ecere/ecere-sdk/commit/0c8373c138838b2db2d8458625caeaef1ea93c2e [^]

- Issue History
Date Modified Username Field Change
2012-03-28 18:33 redj New Issue
2012-03-29 07:55 redj Category => Installation System
2012-03-29 07:55 redj Project @8@ => Ecere SDK
2012-03-29 08:16 redj Summary installer: Starting directory => Starting directory
2013-08-07 03:03 jerome Note Added: 0000935
2013-09-10 18:45 jerome Assigned To => jerome
2013-09-10 18:45 jerome Status new => assigned
2013-09-10 18:45 jerome Target Version 0.44.21 125 => 0.44.10 64
2014-02-25 05:36 jerome Note Added: 0001194
2014-03-06 16:21 jerome Note Added: 0001197
2014-03-06 16:38 jerome Note Added: 0001198
2014-03-06 16:49 jerome Category installer => ide
2014-03-06 16:50 jerome Note Added: 0001199
2014-03-11 05:29 jerome Status assigned => resolved
2014-03-11 05:29 jerome Fixed in Version => 0.44.10 64
2014-03-11 05:29 jerome Resolution open => fixed
2014-03-11 05:29 jerome Note Added: 0001200
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker